%define upstream_name    Test-WWW-Mechanize-Mojo
%define upstream_version v0.0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Test::WWW::Mechanize for Mojo / Mojolicious
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(LWP) >= 5.816.0
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Mojolicious) >= 4.750.0
BuildRequires: perl(Mojolicious::Lite)
BuildRequires: perl(Test::WWW::Mechanize) >= 1.140.0
BuildRequires: perl(WWW::Mechanize) >= 1.500.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
the Mojo manpage is an MVC Web Application Framework. the
Test::WWW::Mechanize manpage is a subclass of the WWW::Mechanize manpage
that incorporates features for web application testing. The the
Test::WWW::Mechanize::Mojo manpage module meshes the two to allow easy
testing of the Mojo manpage applications without needing to starting up a
web server.

Testing web applications has always been a bit tricky, normally requiring
starting a web server for your application and making real HTTP requests to
it. This module allows you to test the Mojo manpage web applications but
does not require a server or issue HTTP requests. Instead, it passes the
HTTP request object directly to the Mojo manpage. Thus you do not need to
use a real hostname: "http://localhost/" will do. However, this is
optional. The following two lines of code do exactly the same thing:

  $mech->get_ok('/action');
  $mech->get_ok('http://localhost/action');

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.0.16-6pclos2017
- rebuild against updates

